Loading...
Searching...
No Matches
pcl::PCLException Class Reference

A base class for all pcl exceptions which inherits from std::runtime_error. More...

`#include <pcl/exceptions.h>`

Inheritance diagram for pcl::PCLException:

## Public Member Functions

| PCLException (const std::string &error_description, const char *file_name=nullptr, const char *function_name=nullptr, unsigned line_number=0)
const char * | getFileName () const noexcept
const char * | getFunctionName () const noexcept
unsigned | getLineNumber () const noexcept
const char * | detailedMessage () const noexcept

## Static Protected Member Functions

static std::string | createDetailedMessage (const std::string &error_description, const char *file_name, const char *function_name, unsigned line_number)

## Protected Attributes

const char * | file_name_
const char * | function_name_
unsigned | line_number_

## Detailed Description

A base class for all pcl exceptions which inherits from std::runtime_error.

Author
  Eitan Marder-Eppstein, Suat Gedikli, Nizar Sallem

Definition at line 63 of file exceptions.h.

## Constructor & Destructor Documentation

## PCLException()

pcl::PCLException::PCLException | ( | const std::string & | error_description,
|  | const char * | file_name = `nullptr`,
|  | const char * | function_name = `nullptr`,
|  | unsigned | line_number = `0`
| ) |  |

inline

Definition at line 67 of file exceptions.h.

## Member Function Documentation

## createDetailedMessage()

static std::string pcl::PCLException::createDetailedMessage | ( | const std::string & | error_description,
|  | const char * | file_name,
|  | const char * | function_name,
|  | unsigned | line_number
| ) |  |

inline static protected

Definition at line 107 of file exceptions.h.

## detailedMessage()

const char * pcl::PCLException::detailedMessage | ( |  | ) | const

inline noexcept

Definition at line 99 of file exceptions.h.

## getFileName()

const char * pcl::PCLException::getFileName | ( |  | ) | const

inline noexcept

Definition at line 81 of file exceptions.h.

References file_name_.

## getFunctionName()

const char * pcl::PCLException::getFunctionName | ( |  | ) | const

inline noexcept

Definition at line 87 of file exceptions.h.

References function_name_.

## getLineNumber()

unsigned pcl::PCLException::getLineNumber | ( |  | ) | const

inline noexcept

Definition at line 93 of file exceptions.h.

References line_number_.

## Member Data Documentation

## file_name_

const char* pcl::PCLException::file_name_

protected

Definition at line 127 of file exceptions.h.

Referenced by getFileName().

## function_name_

const char* pcl::PCLException::function_name_

protected

Definition at line 128 of file exceptions.h.

Referenced by getFunctionName().

## line_number_

unsigned pcl::PCLException::line_number_

protected

Definition at line 129 of file exceptions.h.

Referenced by getLineNumber().

The documentation for this class was generated from the following file:

- pcl/exceptions.h